Get Porting Request Details

Get details of a Porting Request for numbers to be moved to Voice from their current provider(s).

Request

Endpoint: /api/number-porting-requests/<number_porting_request_id>
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

JSON Response

                                
    {
        "id": 147,
        "name": "My Porting Request",
        "country": {
            "id": 1,
            "code":" 44",
            "iso": "GB",
            "name": "United Kingdom"
        },
        "number_service_type": {
            "name": "Geographic",
            "code": "GEOGRAPHIC"
        },
        "status": "placed",
        "numbers": [
            {
                "status": "pending",
                "number": "+442031234566",
                "operator": "BT",
                "range_holder": "BT",
                "account_number": "12345",
                "channel": 10,
                "provision_at": "2026-01-12 09:00:00"
            },
            {
                "status": "pending",
                "number": "+442031234567",
                "operator": "BT",
                "range_holder": "BT",
                "account_number": "12345",
                "channel": 10,
                "number_translation": {
                    "all": "+44203123456700001"
                },
                "provision_at": "2026-01-22 09:00:00"
            }
        ],
        "emergency_address_id": 17,
        "trunk_group_ids": [
            82
        ],
        "documents": [
            {
                "id": 11,
                "name": "test.txt",
                "mime": "text/plain",
                "extension": "txt",
                "description": "A supporting file",
                "created_at": "2026-01-02 14:12:09",
                "download_url": "https://cloudlx.epsilontel.com/customer-files/11/download"
            }
        ]
    }
                                
                            

JSON Parameters

name Description A friendly name for the porting request
Type String
Example My Porting Request
country Description The country information for the porting request
Type Object
Example
                                    {
    "id": 1,
    "code":" 44",
    "iso": "GB",
    "name": "United Kingdom"
}
                                        
number_service_type Description The service type representing the Number Service Type. Permitted values for number_service_type.code; GEOGRAPHIC, TOLL FREE, PREMIUM, MOBILE
Type Object
Example
                                    {
    "name": "Geographic",
    "code": "GEOGRAPHIC"
}
                                        
status Description The current status of the porting request
Type String
Example pending
Values
Status Description
draft Created but not yet submitted
pending Submitted but pending pricing
placed Submitted
in_progress Request is being worked on
completed Porting has been completed
cancelled Request was cancelled
numbers Description Array of objects describing the numbers to port
Type Array[Object]
Example
                                    {
    "number": "+442031234567",
    "operator": "BT",
    "range_holder": "BT",
    "account_number": "12345",
    "channel": 10
}
                                        
trunk_group_ids Description Array of integers representing IDs of outbound trunk groups. Found via the Trunk Groups API.
Type Array[Integer]
Example
                                    [
    82
]
                                        
emergency_address_id Description An integer representing the ID of emergency address. Found via the Number Addresses API.
Type Integer
Example
17
documents Description A list of documents associated with the porting request.
Type Array[Object]
Example
{
    "id": 11,
    "name": "test.txt",
    "mime": "text/plain",
    "extension": "txt",
    "description": "A supporting file",
    "created_at": "2026-01-02 14:12:09",
    "download_url": "https://cloudlx.epsilontel.com/customer-files/11/download"
}

numbers Parameters

status Description The status of the number
Type String
Example pending
Values
Status Description
pending Number is submitted and awaiting checks
accepted Number has been accepted for porting
rejected Number has been rejected for porting
completed Number has been ported successfully
failed Number failed to be ported
number Description The number which is to be ported. This should be in e164 format including the + symbol at the start of the number.
Type String
Example "+442031234567"
country Description The ISO2 code for the country to which the number belongs. A list of ISO codes can be found using the Countries API Endpoint.
Type String
Example "GB"
operator Description The name of the current operator of the number.
Type String
Example "British Telecommunications PLC"
range_holder Description The name of the range holder for the number.
Type String
Example "British Telecommunications PLC"
account_number Description The account number with the losing provider for the number
Type String
Example "123123123"
channel Description The channel information for the number
Type String
Example "4"
number_translation Description An object with keys indicating translation numbers.
For TOLL FREE numbers all of fixed, mobile or payphone are provided. For any other type, all is provided.
Type Object
Example Toll Free:
{
    "fixed": "+4480011111111",
    "mobile": "+4480011111112",
    "payphone": "+4480011111113"
}
Any other number type:
{
    "all": "+44203123456700001"
}
provision_at Description The date at which the number will complete porting and provision. This value may be null if no date is available.
Type Date
Example 2026-01-12 09:00:00

Back to top